Utils (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.Utils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode
Class Utils

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.Utils

public class Utils
extends java.lang.Object

Utilities mostly to manipulate methods and access flags.

Author:
  Stephane Bailliez

Field Summary
`static short` | `ACC_ABSTRACT` abstract access flag
`static short` | `ACC_FINAL` final access flag
`static short` | `ACC_INTERFACE` interface access flag
`static short` | `ACC_NATIVE` native access flag
`static short` | `ACC_PRIVATE` private access flag
`static short` | `ACC_PROTECTED` protected access flag
`static short` | `ACC_PUBLIC` public access flag
`static short` | `ACC_STATIC` static access flag
`static short` | `ACC_STRICT` strict access flag
`static short` | `ACC_SUPER` super access flag
`static short` | `ACC_SYNCHRONIZED` synchronized access flag
`static short` | `ACC_TRANSIENT` transient access flag
`static short` | `ACC_VOLATILE` volatile access flag

Method Summary
`static int` | `descriptor2java(java.lang.String descriptor, int i, java.lang.StringBuffer sb)` Parse a single descriptor symbol and returns it java equivalent.
`static java.lang.String` | `getClassAccess(int access_flags)` return the class access flag as java modifiers
`static java.lang.String` | `getFieldAccess(int access_flags)` return the field access flag as java modifiers
`static java.lang.String` | `getMethodAccess(int access_flags)` return the method access flag as java modifiers
`static java.lang.String[]` | `getMethodParams(java.lang.String descriptor)` parse all parameters from a descritor into fields of java name.
`static java.lang.String` | `getMethodReturnType(java.lang.String descriptor)` return the object type of a return type.
`static java.lang.String` | `getUTF8Value(ConstantPool pool, int index)` return an UTF8 value from the pool located a a specific index.
`static boolean` | `isAbstract(int access_flags)` check for abstract access
`static boolean` | `isClass(int access_flags)` check for class access
`static boolean` | `isFinal(int access_flags)` chck for final flag
`static boolean` | `isInterface(int access_flags)` check for interface access
`static boolean` | `isNative(int access_flags)` check for native access
`static boolean` | `isPrivate(int access_flags)` check for private access
`static boolean` | `isProtected(int access_flags)` check for protected flag
`static boolean` | `isPublic(int access_flags)` check for public access
`static boolean` | `isStatic(int access_flags)` check for a static access
`static boolean` | `isStrict(int access_flags)` check for strict access
`static boolean` | `isSuper(int access_flags)` check for super flag
`static boolean` | `isSynchronized(int access_flags)` check for synchronized flag
`static boolean` | `isTransient(int access_flags)` check for transient flag
`static boolean` | `isVolatile(int access_flags)` check for volatile flag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACC_PUBLIC

    public static final short ACC_PUBLIC

  public access flag

  See Also:
    Constant Field Values

### ACC_PRIVATE

    public static final short ACC_PRIVATE

  private access flag

  See Also:
    Constant Field Values

### ACC_PROTECTED

    public static final short ACC_PROTECTED

  protected access flag

  See Also:
    Constant Field Values

### ACC_STATIC

    public static final short ACC_STATIC

  static access flag

  See Also:
    Constant Field Values

### ACC_FINAL

    public static final short ACC_FINAL

  final access flag

  See Also:
    Constant Field Values

### ACC_SUPER

    public static final short ACC_SUPER

  super access flag

  See Also:
    Constant Field Values

### ACC_SYNCHRONIZED

    public static final short ACC_SYNCHRONIZED

  synchronized access flag

  See Also:
    Constant Field Values

### ACC_VOLATILE

    public static final short ACC_VOLATILE

  volatile access flag

  See Also:
    Constant Field Values

### ACC_TRANSIENT

    public static final short ACC_TRANSIENT

  transient access flag

  See Also:
    Constant Field Values

### ACC_NATIVE

    public static final short ACC_NATIVE

  native access flag

  See Also:
    Constant Field Values

### ACC_INTERFACE

    public static final short ACC_INTERFACE

  interface access flag

  See Also:
    Constant Field Values

### ACC_ABSTRACT

    public static final short ACC_ABSTRACT

  abstract access flag

  See Also:
    Constant Field Values

### ACC_STRICT

    public static final short ACC_STRICT

  strict access flag

  See Also:
    Constant Field Values

Method Detail

### getUTF8Value

    public static java.lang.String getUTF8Value(ConstantPool pool,
                                                int index)

  return an UTF8 value from the pool located a a specific index.

  Parameters:
    `pool` - the constant pool to look at
    `index` - index of the UTF8 value in the constant pool
  Returns:
    the value of the string if it exists
  Throws:
    `java.lang.ClassCastException` - if the index is not an UTF8 constant.

### getMethodParams

    public static java.lang.String[] getMethodParams(java.lang.String descriptor)

  parse all parameters from a descritor into fields of java name.

  Parameters:
    `descriptor` - of a method.
  Returns:
    the parameter list of a given method descriptor. Each string represent a java object with its fully qualified classname or the primitive name such as int, long, ...

### getMethodReturnType

    public static java.lang.String getMethodReturnType(java.lang.String descriptor)

  return the object type of a return type.

  Parameters:
    `descriptor` -
  Returns:
    get the return type objet of a given descriptor

### descriptor2java

    public static int descriptor2java(java.lang.String descriptor,
                                      int i,
                                      java.lang.StringBuffer sb)

  Parse a single descriptor symbol and returns it java equivalent.

  Parameters:
    `descriptor` - the descriptor symbol.
    `i` - the index to look at the symbol in the descriptor string
    `sb` - the stringbuffer to return the java equivalent of the symbol
  Returns:
    the index after the descriptor symbol

### isAbstract

    public static boolean isAbstract(int access_flags)

  check for abstract access

  Parameters:
    `access_flags` - access flags

### isPublic

    public static boolean isPublic(int access_flags)

  check for public access

  Parameters:
    `access_flags` - access flags

### isStatic

    public static boolean isStatic(int access_flags)

  check for a static access

  Parameters:
    `access_flags` - access flags

### isNative

    public static boolean isNative(int access_flags)

  check for native access

  Parameters:
    `access_flags` - access flags

### isClass

    public static boolean isClass(int access_flags)

  check for class access

  Parameters:
    `access_flags` - access flags

### isStrict

    public static boolean isStrict(int access_flags)

  check for strict access

  Parameters:
    `access_flags` - access flags

### isInterface

    public static boolean isInterface(int access_flags)

  check for interface access

  Parameters:
    `access_flags` - access flags

### isPrivate

    public static boolean isPrivate(int access_flags)

  check for private access

  Parameters:
    `access_flags` - access flags

### isTransient

    public static boolean isTransient(int access_flags)

  check for transient flag

  Parameters:
    `access_flags` - access flags

### isVolatile

    public static boolean isVolatile(int access_flags)

  check for volatile flag

  Parameters:
    `access_flags` - access flags

### isSuper

    public static boolean isSuper(int access_flags)

  check for super flag

  Parameters:
    `access_flags` - access flag

### isProtected

    public static boolean isProtected(int access_flags)

  check for protected flag

  Parameters:
    `access_flags` - access flags

### isFinal

    public static boolean isFinal(int access_flags)

  chck for final flag

  Parameters:
    `access_flags` - access flags

### isSynchronized

    public static boolean isSynchronized(int access_flags)

  check for synchronized flag

  Parameters:
    `access_flags` - access flags

### getMethodAccess

    public static java.lang.String getMethodAccess(int access_flags)

  return the method access flag as java modifiers

  Parameters:
    `access_flags` - access flags
  Returns:
    the access flags as modifier strings

### getFieldAccess

    public static java.lang.String getFieldAccess(int access_flags)

  return the field access flag as java modifiers

  Parameters:
    `access_flags` - access flags
  Returns:
    the access flags as modifier strings

### getClassAccess

    public static java.lang.String getClassAccess(int access_flags)

  return the class access flag as java modifiers

  Parameters:
    `access_flags` - access flags
  Returns:
    the access flags as modifier strings

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.